# Payment Method Types

## Get store payment method types

> Retrieves all payment method types associated with a store

```json
{"openapi":"3.1.1","info":{"title":"PayNow Management API","version":"v1"},"tags":[{"name":"payment-method-types"}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"type":"apiKey","description":"An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.","name":"Authorization","in":"header"}},"schemas":{"FlakeId":{"type":"string","additionalProperties":false,"format":"flake-id"},"PaymentMethodTypeDto":{"required":["category","confirmation","country_currency_mapping","enabled","fee_overrides","gateways","id","kyc_required","name","refunds_supported","revenue_usage","subscriptions_supported","supported_countries","supported_currencies","supported_settlement_currencies"],"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"logo_url":{"type":["null","string"]},"checkout_logo_url_light":{"type":["null","string"]},"checkout_logo_url_dark":{"type":["null","string"]},"category":{"type":"string"},"confirmation":{"type":"string"},"enabled":{"type":"boolean"},"refunds_supported":{"type":"boolean"},"subscriptions_supported":{"type":"boolean"},"kyc_required":{"type":"boolean"},"supported_currencies":{"type":"array","items":{"type":"string"}},"supported_settlement_currencies":{"type":"array","items":{"type":"string"}},"supported_countries":{"type":"array","items":{"type":"string"}},"gateways":{"type":"array","items":{"$ref":"#/components/schemas/PaymentGatewayDto"}},"fee_overrides":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodTypeFeeOverrideDto"}},"country_currency_mapping":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodTypeCountryCurrencyMappingDto"}},"revenue_usage":{"type":"integer","format":"int64"},"monthly_revenue_limit":{"type":["null","integer"],"format":"int64"},"default_monthly_revenue_limit":{"type":["null","integer"],"format":"int64"},"settlement_time":{"type":["null","string"]}},"additionalProperties":false},"PaymentGatewayDto":{"enum":["invalid","stripe","paypal","forumpay","steamskins","nuvei","pagseguro","tazapay","paysafe"],"type":"string"},"PaymentMethodTypeFeeOverrideDto":{"required":["countries","fee_cents","fee_percentage"],"type":"object","properties":{"fee_percentage":{"type":"integer","format":"int32"},"fee_cents":{"type":"integer","format":"int32"},"countries":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaymentMethodTypeCountryCurrencyMappingDto":{"required":["country","currencies"],"type":"object","properties":{"country":{"type":"string"},"currencies":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PayNowError":{"required":["code","message","status"],"type":"object","properties":{"status":{"type":"integer","description":"The HTTP status code.","format":"int32"},"code":{"type":"string","description":"The PayNow parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"trace_id":{"type":["null","string"],"description":"A distributed trace ID used for debugging."},"errors":{"type":["null","array"],"items":{"$ref":"#/components/schemas/ValidationError"},"description":"An array of multiple errors. Only used by some API services."}},"additionalProperties":false,"description":"Represents a PayNow error"},"ValidationError":{"required":["code","message","path","validation"],"type":"object","properties":{"code":{"type":"string","description":"The parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"path":{"type":"string","description":"The path leading to the validation error."},"validation":{"type":"string","description":"Type of the validation that failed."}},"additionalProperties":false,"description":"A validation error."}}},"paths":{"/v1/stores/{storeId}/payment-method-types":{"get":{"tags":["payment-method-types"],"summary":"Get store payment method types","description":"Retrieves all payment method types associated with a store","operationId":"StorePaymentMethodTypes_GetStorePaymentMethodTypes","parameters":[{"name":"storeId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/FlakeId"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodTypeDto"}}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayNowError"}}}}}}}}}
```

## Toggle a store payment method type

> Enables or disabled a payment method type for a store

```json
{"openapi":"3.1.1","info":{"title":"PayNow Management API","version":"v1"},"tags":[{"name":"payment-method-types"}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"type":"apiKey","description":"An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.","name":"Authorization","in":"header"}},"schemas":{"FlakeId":{"type":"string","additionalProperties":false,"format":"flake-id"},"ToggleStorePaymentMethodTypeRequestDto":{"required":["enabled"],"type":"object","properties":{"enabled":{"type":"boolean"}},"additionalProperties":false},"PayNowError":{"required":["code","message","status"],"type":"object","properties":{"status":{"type":"integer","description":"The HTTP status code.","format":"int32"},"code":{"type":"string","description":"The PayNow parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"trace_id":{"type":["null","string"],"description":"A distributed trace ID used for debugging."},"errors":{"type":["null","array"],"items":{"$ref":"#/components/schemas/ValidationError"},"description":"An array of multiple errors. Only used by some API services."}},"additionalProperties":false,"description":"Represents a PayNow error"},"ValidationError":{"required":["code","message","path","validation"],"type":"object","properties":{"code":{"type":"string","description":"The parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"path":{"type":"string","description":"The path leading to the validation error."},"validation":{"type":"string","description":"Type of the validation that failed."}},"additionalProperties":false,"description":"A validation error."}}},"paths":{"/v1/stores/{storeId}/payment-method-types/{paymentMethodTypeId}/toggle":{"patch":{"tags":["payment-method-types"],"summary":"Toggle a store payment method type","description":"Enables or disabled a payment method type for a store","operationId":"StorePaymentMethodTypes_ToggleStorePaymentMethodType","parameters":[{"name":"storeId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/FlakeId"}},{"name":"paymentMethodTypeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ToggleStorePaymentMethodTypeRequestDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/ToggleStorePaymentMethodTypeRequestDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ToggleStorePaymentMethodTypeRequestDto"}}}},"responses":{"204":{"description":"No Content"},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayNowError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paynow.gg/management/management-api/payment-method-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
